org.keycloak.dom.saml.v2.ac.classes

## Class PrivateKeyProtectionType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.classes.ExtensionListType
  - - org.keycloak.dom.saml.v2.ac.classes.PrivateKeyProtectionType

-     public class PrivateKeyProtectionType
      extends ExtensionListType

  Java class for PrivateKeyProtectionType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PrivateKeyProtectionType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}KeyActivation"
       minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}KeyStorage" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}KeySharing" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}Extension"
       maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected KeyActivationType` | `keyActivation`
    `protected KeySharingType` | `keySharing`
    `protected KeyStorageType` | `keyStorage`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.ac.classes.ExtensionListType

      `content`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrivateKeyProtectionType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `KeyActivationType` | `getKeyActivation()` Gets the value of the keyActivation property.
    `KeySharingType` | `getKeySharing()` Gets the value of the keySharing property.
    `KeyStorageType` | `getKeyStorage()` Gets the value of the keyStorage property.
    `void` | `setKeyActivation(KeyActivationType value)` Sets the value of the keyActivation property.
    `void` | `setKeySharing(KeySharingType value)` Sets the value of the keySharing property.
    `void` | `setKeyStorage(KeyStorageType value)` Sets the value of the keyStorage property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.ac.classes.ExtensionListType

      `add, getContent, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### keyActivation

          protected KeyActivationType keyActivation

    - #### keyStorage

          protected KeyStorageType keyStorage

    - #### keySharing

          protected KeySharingType keySharing

  - ### Constructor Detail

    - #### PrivateKeyProtectionType

          public PrivateKeyProtectionType()

  - ### Method Detail

    - #### getKeyActivation

          public KeyActivationType getKeyActivation()

      Gets the value of the keyActivation property.
      Returns:
        possible object is `KeyActivationType`

    - #### setKeyActivation

          public void setKeyActivation(KeyActivationType value)

      Sets the value of the keyActivation property.
      Parameters:
        `value` - allowed object is `KeyActivationType`

    - #### getKeyStorage

          public KeyStorageType getKeyStorage()

      Gets the value of the keyStorage property.
      Returns:
        possible object is `KeyStorageType`

    - #### setKeyStorage

          public void setKeyStorage(KeyStorageType value)

      Sets the value of the keyStorage property.
      Parameters:
        `value` - allowed object is `KeyStorageType`

    - #### getKeySharing

          public KeySharingType getKeySharing()

      Gets the value of the keySharing property.
      Returns:
        possible object is `KeySharingType`

    - #### setKeySharing

          public void setKeySharing(KeySharingType value)

      Sets the value of the keySharing property.
      Parameters:
        `value` - allowed object is `KeySharingType`

Copyright © 2016 JBoss by Red Hat. All rights reserved.